# Generated by Django 4.1.5 on 2023-01-27 20:55

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="FourKFooter",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("rank", models.PositiveSmallIntegerField()),
                ("name", models.CharField(max_length=150)),
                ("state_rank", models.CharField(max_length=10, null=True)),
                ("elevation", models.PositiveSmallIntegerField(null=True)),
                ("is_complete", models.BooleanField(default=False)),
                ("date_hiked", models.DateTimeField(blank=True, null=True)),
                (
                    "hiker",
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="fourkfooters",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
    ]
